Name: ejabberd-jit
Version: 1.1.7
Release: alt1

Summary: Jabber ICQ Transport
Group: System/Servers
License: GPL
URL: http://jit.jabberstudio.org/

Packager: Mikhail Pokidko <pma@altlinux.org>

Source: %name-%version.tar.bz2
Source1: %name.xml
Source2: %name.logrotate
Source3: %name.init

# /registered resource id that JIT tends to add to its JID
# confuses the hell out of Psi and other clients
Patch1: jabber-jit-1.1.2-resource.patch

# Don't send s10n auth request to ICQ when a Jabber user
# has authorized subscription from the ICQ user
Patch2: jabber-jit-1.1.5-subscribed.patch

# Clean up vCard DESC to be as the user meant it to. Hide IPs.
Patch3: jabber-jit-1.1.5-clean-desc.patch

# Don't append date to logfile names
Patch4: jabber-jit-1.1.5-no-thanks-we-have-logrotate.patch

# Bring code to the C++ standard in order to compile on g++ 3.3
Patch5: jabber-jit-1.1.6-g++3.3.patch

# Get rid of the "origfrom" attribute hack which is useless
# for the current server, as well as from "name" attribute
# in s10n
Patch6: jabber-jit-1.1.6-unhack-attr.patch

Patch7: %name-1.1.7-search.patch

Patch8: jit-1.1.7ttn.patch

#Requires: ejabberd

# Automatically added by buildreq on Wed Mar 14 2007
BuildRequires: gcc-c++

%description
Jabber ICQ Transport is a Jabber component which provides interoperability
between ICQ and Jabber IM systems. JIT is based on a special fast jabberd
core with pthreads.

%prep
%setup -q

#patch1 -p1
#patch2 -p1
#patch3 -p1
#patch4 -p1
#%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p0

%build
%configure

%__subst '/^COMMON_CFLAGS/ s|-I%_includedir ||' platform-settings
%__subst 's|^OUT_FILE=.*|OUT_FILE=ejabberd-jit|' platform-settings
%__subst '/^COMMON_CFLAGS/ s|-g ||' platform-settings
%__subst '/^CONFIG_FILE/ s|jabber.xml|ejabberd-jit.xml|' platform-settings

%make_build

%install
mkdir -p %buildroot%_sbindir \
    %buildroot%_libdir/%name \
    %buildroot%_sysconfdir/ejabberd \
    %buildroot%_spooldir/%name \
    %buildroot%_initdir \
    %buildroot%_docdir/%name-%version \
    %buildroot%_sysconfdir/logrotate.d

install jabberd/ejabberd-jit %buildroot%_sbindir
install jit/jit.so %buildroot%_libdir/%name
install xdb_file/xdb_file.so %buildroot%_libdir/%name

install {README,AUTHORS} %buildroot%_docdir/%name-%version
install -m644 LICENSE %buildroot%_docdir/%name-%version
install doc/FAQ %buildroot%_docdir/%name-%version
install jit/{INSTALL,*.example} %buildroot%_docdir/%name-%version
install -m644 jit/ChangeLog %buildroot%_docdir/%name-%version

install -m640 %SOURCE1 %buildroot%_sysconfdir/ejabberd
install -m644 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name
install -m755 %SOURCE3 %buildroot%_initdir/%name

%post
%post_ldconfig
%post_service %name

%postun
%postun_ldconfig

%preun
%preun_service %name

%files
%_sbindir/ejabberd-jit
%_libdir/%name
%config(noreplace) %attr(0640,root,ejabberd) %_sysconfdir/ejabberd/%name.xml
%dir %attr(0700,ejabberd,ejabberd) %_spooldir/%name
%_initdir/%name
%_docdir/%name-%version
%_sysconfdir/logrotate.d/%name

%changelog
* Wed Mar 14 2007 Mikhail Pokidko <pma@altlinux.ru> 1.1.7-alt1
- Initial build. See jabber-jit package for old Changelog.

